edu.isi.pegasus.planner.catalog.transformation

## Class TransformationFactory

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.TransformationFactory

    public class TransformationFactory
    extends java.lang.Object

A factory class to load the appropriate implementation of Transformation Catalog as specified by properties.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE_NAME` The default package where all the implementations reside.
`static java.lang.String` `DEFAULT_TC_CLASS` Some Constants for backward compatibility.

### Constructor Summary

Constructors
Constructor and Description
`TransformationFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static TransformationCatalog` `loadInstance()` Connects the interface with the transformation catalog implementation.
`static TransformationCatalog` `loadInstance(PegasusBag bag)` Connects the interface with the transformation catalog implementation.
`static TransformationCatalog` `loadInstance(PegasusProperties properties)` Connects the interface with the transformation catalog implementation.
`static TransformationCatalog` `loadInstance(PegasusProperties properties, LogManager logger)` Connects the interface with the transformation catalog implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TC_CLASS

    public static final java.lang.String DEFAULT_TC_CLASS

Some Constants for backward compatibility.

See Also:
  Constant Field Values

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

The default package where all the implementations reside.

See Also:
  Constant Field Values

### Constructor Detail

#### TransformationFactory

    public TransformationFactory()

### Method Detail

#### loadInstance

    public static TransformationCatalog loadInstance()
                                              throws TransformationFactoryException

Connects the interface with the transformation catalog implementation. The choice of backend is configured through properties. This method uses default properties from the property singleton.

Returns:
  handle to the Transformation Catalog.
Throws:
  `TransformationFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`

#### loadInstance

    public static TransformationCatalog loadInstance(PegasusProperties properties)
                                              throws TransformationFactoryException

Connects the interface with the transformation catalog implementation. The choice of backend is configured through properties. This class is useful for non-singleton instances that may require changing properties.

Parameters:
  `properties` - is an instance of properties to use.
Returns:
  handle to the Transformation Catalog.
Throws:
  `TransformationFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`

#### loadInstance

    public static TransformationCatalog loadInstance(PegasusProperties properties,
                                                     LogManager logger)
                                              throws TransformationFactoryException

Connects the interface with the transformation catalog implementation. The choice of backend is configured through properties. This class is useful for non-singleton instances that may require changing properties.

Parameters:
  `properties` - is an instance of properties to use.
  `logger` - handle to the logging.
Returns:
  handle to the Transformation Catalog.
Throws:
  `TransformationFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`

#### loadInstance

    public static TransformationCatalog loadInstance(PegasusBag bag)
                                              throws TransformationFactoryException

Connects the interface with the transformation catalog implementation. The choice of backend is configured through properties. This class is useful for non-singleton instances that may require changing properties.

Parameters:
  `bag` - is bag of initialization objects
Returns:
  handle to the Transformation Catalog.
Throws:
  `TransformationFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`